module ApplicationHelper
  
  def title(txt=nil, &block)
    content_for(:title,"#{txt} - The Latin America Startup Database", &block)
  end 
 
  def navigation_tabs(cur_page = nil)
    profile_tab = logged_in? ? "<li class='simple'}><a href=\"/profile\">Profile</a></li>" : ""
    last_tab = logged_in? ? "<li class=\"simple\"><a href=\"/logout\">Logout</a></li>" : "<li class=\"simple\"><a href=\"/login\">Sign in</a></li>"
    admin_tab = (logged_in? && current_user.admin?) ? "<li class='simple'}><a href=\"/admin\">Admin</a></li>" : ""
    <<-STR
      <ul>
        
        <li #{cur_page == 'index'?"class='active'":''}><a href="/">Index</a></li>
        
        <li #{cur_page == 'people'?"class='active'":''}><a href="/people">People</a></li>
        <li #{cur_page == 'investors'?"class='active'":''}><a href="/investors">Investors</a></li>
        <li #{cur_page == 'companies'?"class='active'":''}><a href="/companies">Companies</a></li>
        <li #{cur_page == 'jobs'?"class='active'":''}><a href="/jobs">Jobs</a></li>
        <li #{cur_page == 'events'?"class='active'":''}><a href="/events">Events</a></li>
        #{profile_tab}
        #{admin_tab}
        #{last_tab}
      </ul>
    STR
  end

  def provider_image(prov)
    case prov
    when 'facebook'
      image_tag 'icons/facebook_small.png', :alt => 'Facebook'
    when 'twitter'
      image_tag 'icons/twitter_small.png', :alt => 'Twitter'
    when 'linked_in'
      image_tag 'icons/linkedin_small.png', :alt => 'LinkedIn'
    end
  end

  
end
