class Event < ActiveRecord::Base
  validates :name, :address, :presence => true
  validate :valid_date?

  belongs_to :user

  scope :available, where('taken_at > ?', Time.now)


  def valid_date?
    unless self.taken_at > Time.now
      errors.add("Date taken", "expired")
    end
  end

  before_save :set_valid_website

  private
 
  def set_valid_website
	self.website = 'http://' + self.website unless self.website[0..6] == 'http://'
  end

end
