# This file is auto-generated from the current state of the database. Instead
# of editing this file, please use the migrations feature of Active Record to
# incrementally modify your database, and then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your
# database schema. If you need to create the application database on another
# system, you should be using db:schema:load, not running all the migrations
# from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20110317154848) do

  create_table "abuses", :force => true do |t|
    t.string   "abusable_type"
    t.integer  "abusable_id"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "was_read",      :default => false
  end

  create_table "authorizations", :force => true do |t|
    t.string   "provider"
    t.string   "uid"
    t.integer  "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "categories", :force => true do |t|
    t.string "name"
  end

  add_index "categories", ["name"], :name => "index_categories_on_name"

  create_table "companies", :force => true do |t|
    t.string   "name"
    t.integer  "category_id"
    t.text     "description"
    t.string   "website"
    t.string   "blog"
    t.string   "blog_feed"
    t.string   "phone"
    t.integer  "employers"
    t.string   "city"
    t.integer  "country_id"
    t.datetime "founded_at"
    t.boolean  "not_known"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "picture_file_name"
    t.string   "picture_content_type"
    t.integer  "picture_file_size"
    t.datetime "picture_updated_at"
    t.boolean  "investor"
  end

  add_index "companies", ["name", "created_at"], :name => "index_companies_on_name_and_created_at"

  create_table "countries", :force => true do |t|
    t.string   "name"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "events", :force => true do |t|
    t.string   "name"
    t.string   "venue"
    t.string   "address"
    t.text     "description"
    t.string   "cost"
    t.string   "website"
    t.datetime "taken_at"
    t.integer  "user_id"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "feedbacks", :force => true do |t|
    t.string   "email"
    t.text     "message"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "jobs", :force => true do |t|
    t.string   "type"
    t.integer  "user_id"
    t.integer  "company_id"
    t.string   "position"
    t.string   "location"
    t.boolean  "full_time"
    t.text     "description"
    t.string   "compensation"
    t.string   "applying_instructions"
    t.datetime "last_application_date"
    t.integer  "person_id"
    t.boolean  "cofounders"
    t.text     "skill_set"
    t.text     "ideal_skill_set"
    t.text     "area_of_interests"
    t.text     "other_comments"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "people", :force => true do |t|
    t.integer  "company_id"
    t.string   "name"
    t.text     "overview"
    t.text     "academic_degrees"
    t.integer  "country_id"
    t.string   "blog_feed"
    t.string   "link1_name"
    t.string   "link1_url"
    t.string   "link2_name"
    t.string   "link2_url"
    t.string   "link3_name"
    t.string   "link3_url"
    t.string   "link4_name"
    t.string   "link4_url"
    t.boolean  "investor",             :default => false
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "picture_file_name"
    t.string   "picture_content_type"
    t.integer  "picture_file_size"
    t.datetime "picture_updated_at"
  end

  add_index "people", ["name", "created_at"], :name => "index_people_on_name_and_created_at"

  create_table "person_companies", :force => true do |t|
    t.integer  "person_id"
    t.integer  "company_id"
    t.boolean  "active"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "users", :force => true do |t|
    t.string   "name",                      :limit => 100, :default => ""
    t.string   "email",                     :limit => 100
    t.string   "crypted_password",          :limit => 40
    t.string   "salt",                      :limit => 40
    t.string   "remember_token",            :limit => 40
    t.datetime "remember_token_expires_at"
    t.boolean  "admin",                                    :default => false
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "users", ["email"], :name => "index_users_on_email", :unique => true

end
